package cn.iocoder.boot.module.order.api;

import cn.iocoder.boot.module.order.api.dto.OrderRespDTO;

/**
 * 订单 api
 */
public interface OrderApi {
    /**
     * 根据订单id或编号获取订单
     */
    OrderRespDTO getOrder(Long id, String orderNo);
    /**
     * 判断是否用户首单
     */
    boolean isFirstOrder(Long userId);
}
